## ros-melodic-web-video-server 0.2.1

=== debian/changelog ===
ros-melodic-web-video-server (0.2.1-1bionic) bionic; urgency=high

  * Restream buffered frames with minimum publish rate (#88 <https://github.com/RobotWebTools/web_video_server/issues/88>)
    * Restream buffered frames with minimum publish rate
    * Implement restreaming for ros_compressed_streamer
  * Update travis config (#89 <https://github.com/RobotWebTools/web_video_server/issues/89>)
  * Fall back to mjpeg if ros_compressed is unavailable (#87 <https://github.com/RobotWebTools/web_video_server/issues/87>)
  * Contributors: Jihoon Lee, Viktor Kunovski, sfalexrog

 -- Russell Toris <rctoris@wpi.edu>  Tue, 04 Jun 2019 15:00:00 -0000

ros-melodic-web-video-server (0.2.0-1bionic) bionic; urgency=high

  * Add "default_stream_type" parameter (#84 <https://github.com/RobotWebTools/web_video_server/issues/84>)
    This allows users to specify default stream type in their .launch files. Using a "ros_compressed" stream type sometimes
    results in a much lower resource consumption, and having it set as a default is much nicer for end users.
  * Add a workaround for MultipartStream constant busy state (#83 <https://github.com/RobotWebTools/web_video_server/issues/83>)
    * Add a workaround for MultipartStream constant busy state
    * Remove C++11 features
  * lax rule for topic name (#77 <https://github.com/RobotWebTools/web_video_server/issues/77>)
  * Add PngStreamer (#74 <https://github.com/RobotWebTools/web_video_server/issues/74>)
  * fix SteadyTimer check for backported ROS versions (#71 <https://github.com/RobotWebTools/web_video_server/issues/71>)
    i.e. on current kinetic
  * Pkg format 2 (#68 <https://github.com/RobotWebTools/web_video_server/issues/68>)
    * use package format 2
    * add missing dependency on sensor_msgs
  * fixed undeclared CODEC_FLAG_GLOBAL_HEADER (#65 <https://github.com/RobotWebTools/web_video_server/issues/65>)
  * Contributors: Andreas Klintberg, Dirk Thomas, Felix Ruess, Kazuto Murase, Viktor Kunovski, sfalexrog

 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Jan 2019 15:00:00 -0000

ros-melodic-web-video-server (0.1.0-1bionic) bionic; urgency=high

  * Avoid queuing of images on slow ethernet connection (#64 <https://github.com/RobotWebTools/web_video_server/issues/64>)
  * use SteadyTimer (if available) for cleaning up inactive streams (#63 <https://github.com/RobotWebTools/web_video_server/issues/63>)
    * use SteadyTimer for cleaning up inactive streams
    so that cleanup works correctly even if system time changes
    SteadyTimer is available since roscpp 1.13.1
    * possibility to use SteadyTimer on older ROS versions
    when SteadyTimer has been backported to those...
  * Fix segfault in libav_streamer destructor (resolves #59 <https://github.com/RobotWebTools/web_video_server/issues/59>) (#60 <https://github.com/RobotWebTools/web_video_server/issues/60>)
  * Fix vp8 in kinetic add vp9 and h264 support (#52 <https://github.com/RobotWebTools/web_video_server/issues/52>)
    * fix vp8 in kinetic
    * add h264 and vp9 support
  * Add Indigo test matrix in travis configuration (#50 <https://github.com/RobotWebTools/web_video_server/issues/50>)
  * Set image streamer as inactive if topic is not available (#53 <https://github.com/RobotWebTools/web_video_server/issues/53>)
    * Resolves #38 <https://github.com/RobotWebTools/web_video_server/issues/38>
  * Fix Build for ubuntu 14.04 (#48 <https://github.com/RobotWebTools/web_video_server/issues/48>)
    * fix issue #47 <https://github.com/RobotWebTools/web_video_server/issues/47>
    * fix double free
  * Revert "use SteadyTimer for cleaning up inactive streams (#45 <https://github.com/RobotWebTools/web_video_server/issues/45>)" (#51 <https://github.com/RobotWebTools/web_video_server/issues/51>)
    This reverts commit ae74f19ada22f288a7c7a99ada7a1b9b6037c7ce.
  * use SteadyTimer for cleaning up inactive streams (#45 <https://github.com/RobotWebTools/web_video_server/issues/45>)
    so that cleanup works correctly even if system time changes
  * Use trusty instead of xenial.  See travis-ci/travis-ci#7260 <https://github.com/travis-ci/travis-ci/issues/7260> (#49 <https://github.com/RobotWebTools/web_video_server/issues/49>)
    * Also see RobotWebTools/rosbridge_suite#311 <https://github.com/RobotWebTools/rosbridge_suite/issues/311>
  * Contributors: Felix Ruess, James Bailey, Jihoon Lee, randoms, schallerr

 -- Russell Toris <rctoris@wpi.edu>  Sat, 30 Jun 2018 15:00:00 -0000

ros-melodic-web-video-server (0.0.7-1bionic) bionic; urgency=high

  * Ffmpeg 3 (#43 <https://github.com/RobotWebTools/web_video_server/issues/43>)
    * Correct use of deprecated parameters
    codec_context_->rc_buffer_aggressivity marked as "currently useless", so removed
    codec_context_->frame_skip_threshold access through new priv_data api
    * New names for pixel formats
    * AVPicture is deprecated, use AVFrame
    * Switch to non-deprecated free functions
    * Use new encoding api for newer versions
    * codec_context is deprecated, use packet flags
  * Update travis configuration to test against kinetic (#44 <https://github.com/RobotWebTools/web_video_server/issues/44>)
  * fixed misuse of remove_if (#35 <https://github.com/RobotWebTools/web_video_server/issues/35>)
  * Merge pull request #33 <https://github.com/RobotWebTools/web_video_server/issues/33> from achim-k/patch-1
    web_video_server: fix bool function not returning
    This fix is required when compiling the package with clang. Otherwise a SIGILL (Illegal instruction) is triggered.
  * Contributors: Hans-Joachim Krauch, Jan, Jihoon Lee, russelhowe

 -- Russell Toris <rctoris@wpi.edu>  Sun, 19 Nov 2017 15:00:00 -0000

ros-melodic-web-video-server (0.0.6-1bionic) bionic; urgency=high

  * Fixed topic list to display all image topics, fixing Issue #18 <https://github.com/RobotWebTools/web_video_server/issues/18>.
  * Contributors: Eric

 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Jan 2017 15:00:00 -0000


