=== debian/control ===
Source: ros-melodic-web-video-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-melodic-async-web-server-cpp, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-sensor-msgs
Homepage: http://ros.org/wiki/web_video_server
Standards-Version: 3.9.2

Package: ros-melodic-web-video-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-melodic-async-web-server-cpp, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-sensor-msgs
Description: HTTP Streaming of ROS Image Topics in Multiple Formats
